Bug 1673080 - "An unknown error has occurred" when using cdrom to install the system with two blockdev disks.(when choose installation destination)
Summary: "An unknown error has occurred" when using cdrom to install the system with t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Xueqiang Wei
URL:
Whiteboard:
Depends On: 1668248
Blocks: 1668538
TreeView+ depends on / blocked
 
Reported: 2019-02-06 15:53 UTC by Kevin Wolf
Modified: 2019-08-22 09:20 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-23.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1668248
Environment:
Last Closed: 2019-08-22 09:19:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:20:49 UTC

Comment 2 Miroslav Rezanina 2019-02-12 08:28:35 UTC
Fix included in qemu-kvm-rhev-2.12.0-23.el7

Comment 3 Xueqiang Wei 2019-02-12 10:18:01 UTC
Tested with blockdev and drive. The installation are all successful. So set status to VERIFIED.

Host:
kernel-3.10.0-991.el7.x86_64
qemu-kvm-rhev-2.12.0-23.el7

Guest:
rhel7: kernel-3.10.0-985.el7.x86_64
rhel8: kernel-4.18.0-64.el8.x86_64


blockdev cmd lines:

/usr/libexec/qemu-kvm \
    -S  \
    -name 'avocado-vt-vm1' \
    -machine q35  \
    -nodefaults \
    -device VGA,bus=pcie.0,addr=0x1 \
    -device pcie-root-port,id=pcie_root_port_0,slot=2,chassis=2,addr=0x2,bus=pcie.0 \
    -device pcie-root-port,id=pcie_root_port_1,slot=3,chassis=3,addr=0x3,bus=pcie.0 \
    -device pcie-root-port,id=pcie_root_port_2,slot=4,chassis=4,addr=0x4,bus=pcie.0  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/var/tmp/avocado_kww01fp9/monitor-qmpmonitor1-20190123-022244-PPCvMk0N,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=qmp_id_catch_monitor,path=/var/tmp/avocado_kww01fp9/monitor-catch_monitor-20190123-022244-PPCvMk0N,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control \
    -device pvpanic,ioport=0x505,id=idKWHdZy  \
    -chardev socket,id=serial_id_serial0,path=/var/tmp/avocado_kww01fp9/serial-serial0-20190123-022244-PPCvMk0N,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20190123-022244-PPCvMk0N,path=/var/tmp/avocado_kww01fp9/seabios-20190123-022244-PPCvMk0N,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20190123-022244-PPCvMk0N,iobase=0x402 \
    -device pcie-root-port,id=pcie.0-root-port-5,slot=5,chassis=5,addr=0x5,bus=pcie.0 \
    -device qemu-xhci,id=usb1,bus=pcie.0-root-port-5,addr=0x0 \
    -device pcie-root-port,id=pcie.0-root-port-6,slot=6,chassis=6,addr=0x6,bus=pcie.0 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,bus=pcie.0-root-port-6,addr=0x0 \
    -blockdev node-name=file_image1,driver=file,cache.direct=on,cache.no-flush=off,filename=/home/kvm_autotest_root/images/rhel80-64-virtio-scsi-install-test.qcow2,aio=threads \
    -blockdev node-name=drive_image1,driver=qcow2,cache.direct=on,cache.no-flush=off,file=file_image1 \
    -device scsi-hd,id=image1,drive=drive_image1,write-cache=on,bus=virtio_scsi_pci0.0,bootindex=1 \
    -blockdev driver=file,cache.direct=on,cache.no-flush=off,filename=/home/kvm_autotest_root/images/data.raw,node-name=data_disk \
    -blockdev driver=raw,node-name=disk1,file=data_disk,cache.direct=on,cache.no-flush=off \
    -device scsi-hd,drive=disk1,id=data_disk,write-cache=on,bus=virtio_scsi_pci0.0,bootindex=2 \
    -device pcie-root-port,id=pcie.0-root-port-7,slot=7,chassis=7,addr=0x7,bus=pcie.0 \
    -device virtio-net-pci,mac=9a:63:64:65:66:67,id=idDQ4Oke,vectors=4,netdev=idaNEvdg,bus=pcie.0-root-port-7,addr=0x0  \
    -netdev tap,id=idaNEvdg,vhost=on \
    -m 18432  \
    -smp 12,maxcpus=12,cores=6,threads=1,sockets=2  \
    -cpu 'SandyBridge',+kvm_pv_unhalt \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -vnc :0  \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off,strict=off \
    -enable-kvm \
    -monitor stdio \
    -device pcie-root-port,id=pcie.0-root-port-10,slot=10,chassis=10,addr=0x10,bus=pcie.0 \
    -device virtio-scsi-pci,id=virtio_scsi_pci2,bus=pcie.0-root-port-10,addr=0x0 \
    -blockdev driver=file,cache.direct=on,cache.no-flush=off,filename=/home/kvm_autotest_root/iso/linux/RHEL-8.0.0-20190129.1-x86_64-dvd1.iso,node-name=cd_disk1,read-only=on \
    -blockdev driver=raw,node-name=cd1,file=cd_disk1,read-only=on,cache.direct=on,cache.no-flush=off \
    -device scsi-cd,drive=cd1,bus=virtio_scsi_pci2.0,id=cd_disk1,write-cache=on,bootindex=0 \



Drive cmd lines:

/usr/libexec/qemu-kvm \
    -S  \
    -name 'avocado-vt-vm1' \
    -machine q35  \
    -nodefaults \
    -device VGA,bus=pcie.0,addr=0x1 \
    -device pcie-root-port,id=pcie_root_port_0,slot=2,chassis=2,addr=0x2,bus=pcie.0 \
    -device pcie-root-port,id=pcie_root_port_1,slot=3,chassis=3,addr=0x3,bus=pcie.0 \
    -device pcie-root-port,id=pcie_root_port_2,slot=4,chassis=4,addr=0x4,bus=pcie.0  \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/var/tmp/avocado_kww01fp9/monitor-qmpmonitor1-20190123-022244-PPCvMk0N,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control  \
    -chardev socket,id=qmp_id_catch_monitor,path=/var/tmp/avocado_kww01fp9/monitor-catch_monitor-20190123-022244-PPCvMk0N,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control \
    -device pvpanic,ioport=0x505,id=idKWHdZy  \
    -chardev socket,id=serial_id_serial0,path=/var/tmp/avocado_kww01fp9/serial-serial0-20190123-022244-PPCvMk0N,server,nowait \
    -device isa-serial,chardev=serial_id_serial0  \
    -chardev socket,id=seabioslog_id_20190123-022244-PPCvMk0N,path=/var/tmp/avocado_kww01fp9/seabios-20190123-022244-PPCvMk0N,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20190123-022244-PPCvMk0N,iobase=0x402 \
    -device pcie-root-port,id=pcie.0-root-port-5,slot=5,chassis=5,addr=0x5,bus=pcie.0 \
    -device qemu-xhci,id=usb1,bus=pcie.0-root-port-5,addr=0x0 \
    -device pcie-root-port,id=pcie.0-root-port-6,slot=6,chassis=6,addr=0x6,bus=pcie.0 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,bus=pcie.0-root-port-6,addr=0x0 \
    -drive file=/home/kvm_autotest_root/images/rhel80-64-virtio-scsi-install-test-.qcow2,aio=threads,if=none,format=qcow2,cache=none,werror=stop,rerror=stop,id=drive-virtio-disk0 \
    -device scsi-hd,bus=virtio_scsi_pci0.0,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 \
    -drive file=/home/kvm_autotest_root/images/data.raw,aio=threads,if=none,format=raw,cache=none,werror=stop,rerror=stop,id=drive-virtio-disk1 \
    -device scsi-hd,bus=virtio_scsi_pci0.0,drive=drive-virtio-disk1,id=virtio-disk1,bootindex=2 \
    -device pcie-root-port,id=pcie.0-root-port-7,slot=7,chassis=7,addr=0x7,bus=pcie.0 \
    -device virtio-net-pci,mac=9a:63:64:65:66:67,id=idDQ4Oke,vectors=4,netdev=idaNEvdg,bus=pcie.0-root-port-7,addr=0x0  \
    -netdev tap,id=idaNEvdg,vhost=on \
    -m 18432  \
    -smp 12,maxcpus=12,cores=6,threads=1,sockets=2  \
    -cpu 'SandyBridge',+kvm_pv_unhalt \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -vnc :0  \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off,strict=off \
    -enable-kvm \
    -monitor stdio \
    -device pcie-root-port,id=pcie.0-root-port-10,slot=10,chassis=10,addr=0x10,bus=pcie.0 \
    -device virtio-scsi-pci,id=virtio_scsi_pci2,bus=pcie.0-root-port-10,addr=0x0 \
    -drive file=/home/kvm_autotest_root/iso/linux/RHEL-8.0.0-20190129.1-x86_64-dvd1.iso,aio=threads,if=none,format=raw,cache=none,werror=stop,rerror=stop,id=drive-virtio-disk3,media=cdrom \
    -device scsi-cd,drive=drive-virtio-disk3,bus=virtio_scsi_pci2.0,id=cd_disk1,bootindex=0 \

Comment 5 errata-xmlrpc 2019-08-22 09:19:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.